com.amazon.redshift.osgi

## Class RedshiftDataSourceFactory

- java.lang.Object
- - com.amazon.redshift.osgi.RedshiftDataSourceFactory

    public class RedshiftDataSourceFactory
    extends Object

This factory service is designed to be used in OSGi Enterprise environments to create and configure JDBC data-sources.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftDataSourceFactory()`

### Method Summary

Methods
`ConnectionPoolDataSource` `createConnectionPoolDataSource(Properties props)`
`DataSource` `createDataSource(Properties props)` Will create and return either a `SimpleDataSource` or a `PoolingDataSource` depending on the presence in the supplied properties of any pool-related property (eg.: `JDBC_INITIAL_POOL_SIZE` or `JDBC_MAX_POOL_SIZE`).
`Driver` `createDriver(Properties props)`
`XADataSource` `createXADataSource(Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftDataSourceFactory

    public RedshiftDataSourceFactory()

### Method Detail

#### createDriver

    public Driver createDriver(Properties props)
                        throws SQLException

Throws:
  `SQLException`

#### createDataSource

    public DataSource createDataSource(Properties props)
                                throws SQLException

Will create and return either a `SimpleDataSource` or a `PoolingDataSource` depending on the presence in the supplied properties of any pool-related property (eg.: `JDBC_INITIAL_POOL_SIZE` or `JDBC_MAX_POOL_SIZE`).

Throws:
  `SQLException`

#### createConnectionPoolDataSource

    public ConnectionPoolDataSource createConnectionPoolDataSource(Properties props)
                                                            throws SQLException

Throws:
  `SQLException`

#### createXADataSource

    public XADataSource createXADataSource(Properties props)
                                    throws SQLException

Throws:
  `SQLException`